Get subscription events list
GET
https://organization.dattaremit.com/api/subscription_eventsRequires a organization-scoped key.
Retrieves a listing of subscription events s.
Required scope: subscription_events:read
Query Params
pageintegerThe page index to retrieve.
per_pageintegerThe number of entities per page to return.
guidstringComma separated subscription_event_guids to list subscription events for.
Responses
200Get list of subscription events
400Invalid requests
401Unauthorized - Authentication failed
403Invalid scope
Request
curl https://api.dattaremit.com/api/subscription_events \
-H "Authorization: Bearer sk_test_YOUR_KEY"Response
Get list of subscription events
{
"total": 1,
"page": 1,
"per_page": 1,
"objects": [
{
"guid": "string",
"bank_guid": "string",
"event_type": "string",
"object_guid": "string",
"environment": "string",
"organization_guid": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z"
}
]
}